Package org.jacoco.core.runtime

## Interface IRemoteCommandVisitor

All Known Implementing Classes:
  `RemoteControlWriter`

    public interface IRemoteCommandVisitor

Interface for remote commands to a coverage runtime.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitDumpCommand​(boolean dump, boolean reset)` Requests a execution data dump with an optional reset.

### Method Detail

#### visitDumpCommand

    void visitDumpCommand​(boolean dump,
                          boolean reset)
                   throws java.io.IOException

Requests a execution data dump with an optional reset.

Parameters:
  `dump` - `true` if the dump should be executed
  `reset` - `true` if the reset should be executed
Throws:
  `java.io.IOException` - in case of problems with the remote connection